/*
 * Class WEL_DOC_INFO
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_823 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_823 [] = {0xFF01,1551,822,0xFFFF};
static const EIF_TYPE_INDEX egt_2_823 [] = {0xFF01,822,0xFFFF};
static const EIF_TYPE_INDEX egt_3_823 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_823 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_823 [] = {0xFF01,822,0xFFFF};
static const EIF_TYPE_INDEX egt_6_823 [] = {0xFF01,822,0xFFFF};
static const EIF_TYPE_INDEX egt_7_823 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_823 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_823 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_823 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_823 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_823 [] = {0xFF01,822,0xFFFF};
static const EIF_TYPE_INDEX egt_13_823 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_14_823 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_15_823 [] = {0xFF01,619,0xFFFF};
static const EIF_TYPE_INDEX egt_16_823 [] = {0xFF01,619,0xFFFF};


static const struct desc_info desc_823[] = {
	{EIF_GENERIC(NULL), 19165, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_823), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_823), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17573, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_823), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17572, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_823), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_823), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_823), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_823), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_823), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_823), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_823), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_823), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_823), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x066D /*822*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_823), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17162, 12},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 8},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17577, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17170, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17571, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17574, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17575, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17576, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19173, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17580, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17581, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17582, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19166, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_823), 19167, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_823), 19168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19169, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19170, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19171, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19172, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_823), 19174, 0},
	{EIF_GENERIC(egt_16_823), 19175, 4},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19176, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19160, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19161, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19162, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 19163, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 19164, 0xFFFFFFFF},
};
void Init823(void)
{
	IDSC(desc_823, 0, 822);
	IDSC(desc_823 + 1, 1, 822);
	IDSC(desc_823 + 32, 791, 822);
	IDSC(desc_823 + 34, 1359, 822);
	IDSC(desc_823 + 44, 1308, 822);
	IDSC(desc_823 + 54, 118, 822);
}


#ifdef __cplusplus
}
#endif
